如果需要“纯净”的 WordPress,……

近日有点空,想把博客程序升级到 WordPress 2.7(此前使用的是2.6.5),关于选择版本,首先考虑的是WordPress 英文原版,觉得它应该是最纯净最稳定,且以后需要升级时也应该是最放心的;但考虑到2.7后台与之前变化太多,为了避免错过一些功能细节,或许使用中文版应该更适合我,所以决定用英文原版的原程序加上简体中文版的语言包,且看到官方页面这么写的:

简体中文 WordPress 安装包基于官方SVN源自动构建,中文版本添加了相应的PO和MO文件,以及3个直接翻译文件,分别为 wp-config-sample.php、readme.html、setup-config.php,主要是为了方便用户安装。如果需要“纯净”的 WordPress,只需要安装PO和MO文件即可。

于是:英文原版 + languages(zh_CN.po, zh_CN.mo)+ define ('WPLANG', 'zh_CN')

这样按道理应该没什么问题的,安装后却提示:WordPress 2.7 版本可用!现在升级。

wordpress-27-update

为何提示升级到2.7?明明使用的已经是2.7呀!查看version.php,写着也确实是2.7:

wordpress-version

无奈,只好依步骤操作升级:

升级 WordPress

升级后不再提示有新版本,但发现所有文件都已完全是WordPress 简体中文版本一样的,唉!

对于其中原因比较好奇,比较了英文原版简体中文版两个程序包中的大部分文件,发现并非如官方页面所讲的“中文版本添加了相应的PO和MO文件,以及3个直接翻译文件”,其实不相同的文件有很多个,也难怪系统会提示说需要更新了。

总结:官方英文版原程序 + 官方中文版语言包 ,并不能得到“纯净”的中文 WordPress

结论:如果需要“纯净”的 WordPress,且希望避免隐患,还是直接使用官方程序包吧!

BTW:搜索相关文章,久酷wordpress 2.7自动升级功能问题中讲道“每次进入wordpress 2.7 后台的时候都会提示有新的可用版本可以升级”,不过他的貌似是英文版会那样误提示?……

发表评论

6 x 8 =